Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FormatPostingsTermsWriter Class Reference

`#include <FormatPostingsTermsWriter.h>`

Inheritance diagram for Lucene::FormatPostingsTermsWriter:

## Public Member Functions

| FormatPostingsTermsWriter (const SegmentWriteStatePtr &state, const FormatPostingsFieldsWriterPtr &parent)
virtual | ~FormatPostingsTermsWriter ()
virtual String | getClassName ()
boost::shared_ptr< FormatPostingsTermsWriter > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
void | setField (const FieldInfoPtr &fieldInfo)
virtual FormatPostingsDocsConsumerPtr | addTerm (CharArray text, int32_t start)
| Adds a new term in this field.
virtual void | finish ()
| Called when we are done adding terms to this field.
void | close ()
Public Member Functions inherited from Lucene::FormatPostingsTermsConsumer
virtual | ~FormatPostingsTermsConsumer ()
boost::shared_ptr< FormatPostingsTermsConsumer > | shared_from_this ()
virtual FormatPostingsDocsConsumerPtr | addTerm (const String &text)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FormatPostingsTermsConsumer
static String | _getClassName ()

## Data Fields

FormatPostingsFieldsWriterWeakPtr | _parent
SegmentWriteStatePtr | state
FormatPostingsDocsWriterPtr | docsWriter
TermInfosWriterPtr | termsOut
FieldInfoPtr | fieldInfo
CharArray | currentTerm
int32_t | currentTermStart
int64_t | freqStart
int64_t | proxStart
Data Fields inherited from Lucene::FormatPostingsTermsConsumer
CharArray | termBuffer

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ FormatPostingsTermsWriter()

Lucene::FormatPostingsTermsWriter::FormatPostingsTermsWriter | ( | const SegmentWriteStatePtr & | state,
|  | const FormatPostingsFieldsWriterPtr & | parent )

References state.

Referenced by _getClassName().

## ◆ ~FormatPostingsTermsWriter()

virtual Lucene::FormatPostingsTermsWriter::~FormatPostingsTermsWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::FormatPostingsTermsWriter::_getClassName | ( |  | ) |

inline static

References FormatPostingsTermsWriter().

## ◆ addTerm()

virtual FormatPostingsDocsConsumerPtr Lucene::FormatPostingsTermsWriter::addTerm | ( | CharArray | text,
|  | int32_t | start )

virtual

Adds a new term in this field.

Implements Lucene::FormatPostingsTermsConsumer.

## ◆ close()

void Lucene::FormatPostingsTermsWriter::close | ( |  | ) |

## ◆ finish()

virtual void Lucene::FormatPostingsTermsWriter::finish | ( |  | ) |

virtual

Called when we are done adding terms to this field.

Implements Lucene::FormatPostingsTermsConsumer.

## ◆ getClassName()

virtual String Lucene::FormatPostingsTermsWriter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::FormatPostingsTermsConsumer.

## ◆ initialize()

virtual void Lucene::FormatPostingsTermsWriter::initialize | ( |  | ) |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

## ◆ setField()

void Lucene::FormatPostingsTermsWriter::setField | ( | const FieldInfoPtr & | fieldInfo | ) |

References fieldInfo.

## ◆ shared_from_this()

boost::shared_ptr< FormatPostingsTermsWriter > Lucene::FormatPostingsTermsWriter::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _parent

FormatPostingsFieldsWriterWeakPtr Lucene::FormatPostingsTermsWriter::_parent

## ◆ currentTerm

CharArray Lucene::FormatPostingsTermsWriter::currentTerm

## ◆ currentTermStart

int32_t Lucene::FormatPostingsTermsWriter::currentTermStart

## ◆ docsWriter

FormatPostingsDocsWriterPtr Lucene::FormatPostingsTermsWriter::docsWriter

## ◆ fieldInfo

FieldInfoPtr Lucene::FormatPostingsTermsWriter::fieldInfo

Referenced by setField().

## ◆ freqStart

int64_t Lucene::FormatPostingsTermsWriter::freqStart

## ◆ proxStart

int64_t Lucene::FormatPostingsTermsWriter::proxStart

## ◆ state

SegmentWriteStatePtr Lucene::FormatPostingsTermsWriter::state

Referenced by FormatPostingsTermsWriter().

## ◆ termsOut

TermInfosWriterPtr Lucene::FormatPostingsTermsWriter::termsOut

The documentation for this class was generated from the following file:

- FormatPostingsTermsWriter.h

clucene.sourceforge.net